package com.yonge.cooleshow.biz.dal.enums.im;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 用户会员类型
 */
public enum EImUserFriendSourceForm implements BaseEnum<String, EImUserFriendSourceForm> {

    TEACHER("老师身份"),
    CUSTOMER("客服"),

    ;
    @EnumValue
    private String code;
    private String name;

    EImUserFriendSourceForm(String name) {
        this.code = this.name();
        this.name = name;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getName() {
        return name;
    }
}